<?php
/**
 * @copyright 2016 Talldude Networks, LLC.
 */

// make sure we are not being called directly
defined('APP_DIR') or exit();

/**
 * meta
 */
function jrAutoNotify_meta(){
    $_tmp = array(
        'name'        => 'Auto Notify',
        'url'         => 'auto-notify',
        'version'     => '0.0.1',
        'developer'   => 'The Jamroom Network, ©' . strftime('%Y'),
        'description' => 'A listener module. Upon user registration, auto notify on forum posts in specified categories',
        'category'    => 'custom',
        'requires'    => '',
        'license'     => 'jcl'
    );
    return $_tmp;
}

/**
 * init
 */
function jrAutoNotify_init(){
   // Event Listener
   jrCore_register_event_listener('jrUser', 'signup_activated', 'jrAutoNotify_signup_activated_listener');

    return true;
}

//----------------------
// EVENT LISTENERS
//----------------------


/**
 * Listen for the 'signup_activated' event and add user as watcher of forum category
 * @param $_data array incoming data array
 * @param $_user array current user info
 * @param $_conf array Global config
 * @param $_args array additional info about the module
 * @param $event string Event Trigger name
 * @return array
 */
function jrAutoNotify_signup_activated_listener($_data, $_user, $_conf, $_args, $event)
{
    if (isset($_conf['jrAutoNotify_category_id']) && strlen($_conf['jrAutoNotify_category_id']) > 0) {
        $cid = (int) $_conf['jrAutoNotify_category_id'];
        $uid = (int) $_user['_user_id'];
        $tbl = jrCore_db_table_name('jrForum', 'follow_category');
        $req = "INSERT IGNORE INTO {$tbl} (follow_cat_id,follow_user_id) VALUES ('{$cid}','{$uid}')";
        //i dont know what this does...
        $tag = $_ln['jrForum'][119];
        jrCore_db_query($req);

        // reset forum cache for this user
        jrCore_delete_all_cache_entries('jrForum', $_user['_user_id']);

    }
    return $_data;
}